Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## oasis.names.tc.saml._2_0.protocol
Enum AuthnContextComparisonType

    java.lang.Object
      java.lang.Enum<AuthnContextComparisonType>
          oasis.names.tc.saml._2_0.protocol.AuthnContextComparisonType

All Implemented Interfaces:
  Serializable, Comparable<AuthnContextComparisonType>

    public enum AuthnContextComparisonType

extends Enum<AuthnContextComparisonType>

Java class for AuthnContextComparisonType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="AuthnContextComparisonType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="exact"/>
         <enumeration value="minimum"/>
         <enumeration value="maximum"/>
         <enumeration value="better"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BETTER`
`EXACT`
`MAXIMUM`
`MINIMUM`

Method Summary
`static AuthnContextComparisonType` | `fromValue(String v)`
`String` | `value()`
`static AuthnContextComparisonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthnContextComparisonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final AuthnContextComparisonType EXACT

### MINIMUM

    public static final AuthnContextComparisonType MINIMUM

### MAXIMUM

    public static final AuthnContextComparisonType MAXIMUM

### BETTER

    public static final AuthnContextComparisonType BETTER

Method Detail

### values

    public static AuthnContextComparisonType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuthnContextComparisonType c : AuthnContextComparisonType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuthnContextComparisonType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static AuthnContextComparisonType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPODOLOGIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.